{lib, ...}: {
  services.n8n = {
    enable = false;
    openFirewall = true;
    environment = {
      N8N_SECURE_COOKIE = "false";
      N8N_ENFORCE_SETTINGS_FILE_PERMISSIONS = "false";
    };
  };
  # Temporary fix for upstream module
  systemd.services.n8n.serviceConfig.LoadCredential = lib.mkForce [];
  systemd.services.n8n.environment.N8N_RUNNERS_AUTH_TOKEN_FILE = lib.mkForce null;
}
